Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034096
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2016-09-26 19:162016-09-30 19:07
ReporterngarciaView Statuspublic 
Assigned ToSanjota 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revision3184adb3f998
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034096: End Year Close process does not check by organization if the previous periods are closed

DescriptionEnd Year Close process does not check by organization if the previous periods are closed
Steps To ReproduceAs group admin role:
   Create a fiscal calendar for F&B International Group
   Create 2016 and 2017 years
   Create two legal with accounting organizations as F&B International Group children
   Add the previously created Fiscal Calendar for both of them and set them as ready
   Go to End Year Close window and check the two years are opened for the two organizations
   Launch Year Close process for 2016 on one organization
   Check you can close 2017 for the other organization and you should not, as 2016 is still open
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0027685 closedmarkmm82 Undo Close Year does not filter by organization 

-  Notes
(0090417)
Sanjota (developer)
2016-09-30 12:36

Test paln:
As group admin role:
   Create a fiscal calendar for F&B International Group
   Create 2016 and 2017 years
   Create two legal with accounting organizations as F&B International Group children
   Add the previously created Fiscal Calendar for both of them and set them as ready
   Go to End Year Close window and check the two years are opened for the two organizations
   Launch Year Close process for 2016 on one organization
   Observe that you can't close 2017 for the other organization and it gives message
   "In order to close a year, all the previous ones must be closed."
(0090428)
hgbot (developer)
2016-09-30 14:08

Repository: erp/devel/pi
Changeset: 3184adb3f9980194946856b589f1a459bb2ce9be
Author: Sanjota <sanjota.nelagi <at> promantia.com>
Date: Fri Sep 30 15:47:22 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/3184adb3f9980194946856b589f1a459bb2ce9be [^]

Fixes issue 34096: Added Organization Filter in End Year Close process

Added Organization Filter in End Year Close process to close year to look at years closed for selected organization.

---
M src/org/openbravo/erpCommon/businessUtility/EndYearCloseUtility.java
M src/org/openbravo/erpCommon/businessUtility/EndYearCloseUtility_data.xsql
---
(0090430)
aferraz (developer)
2016-09-30 14:08

Code review + Testing OK
(0090450)
hudsonbot (developer)
2016-09-30 19:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/538700cbd709 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-09-26 19:16 ngarcia New Issue
2016-09-26 19:16 ngarcia Assigned To => Triage Finance
2016-09-26 19:16 ngarcia Modules => Core
2016-09-26 19:16 ngarcia Triggers an Emergency Pack => No
2016-09-26 19:17 ngarcia Relationship added related to 0027685
2016-09-29 09:07 aferraz Assigned To Triage Finance => Sanjota
2016-09-30 12:36 Sanjota Note Added: 0090417
2016-09-30 12:36 Sanjota Status new => scheduled
2016-09-30 14:08 hgbot Checkin
2016-09-30 14:08 hgbot Note Added: 0090428
2016-09-30 14:08 hgbot Status scheduled => resolved
2016-09-30 14:08 hgbot Resolution open => fixed
2016-09-30 14:08 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3184adb3f9980194946856b589f1a459bb2ce9be [^]
2016-09-30 14:08 aferraz Review Assigned To => aferraz
2016-09-30 14:08 aferraz Note Added: 0090430
2016-09-30 14:08 aferraz Status resolved => closed
2016-09-30 14:08 aferraz Fixed in Version => 3.0PR16Q4
2016-09-30 19:07 hudsonbot Checkin
2016-09-30 19:07 hudsonbot Note Added: 0090450


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker